Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001168Core InformModel worldpublic2013-12-28 06:532014-05-07 07:33
Reporteremshort 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.8
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0001168: Incorrect touchability results for specific circumstance of nested supporters/containers
DescriptionIf an object is on a supporter inside a closed transparent container that is part of a backdrop, Inform incorrectly calculates that the object is touchable. If the object is merely inside the container and not on the supporter, touchability is correctly reported.
Minimal Source Text To Reproduce
The Lab is a room. The shelf system is a backdrop in the Lab.

The clear case is a transparent closed fixed in place container. It is part of the shelf system.

The stand is a supporter in the clear case.

On the stand is a chocolate. The chocolate is edible.

Test me with "eat chocolate".
Additional InformationIt might seem you could do a temporary fix for this by adding a reaching inside rule for the particular case in question, but adding the following rule does not improve matters:

A rule for reaching inside the clear case:
say "The case is permanently closed.";
deny access.

However, applying the rule to the supporter in question succeeds. Thus the recommended hack would be of the form

A rule for reaching inside the stand:
say "The case is permanently closed.";
deny access.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2013-12-28 06:53 emshort New Issue
2013-12-28 06:53 emshort Status new => assigned
2013-12-28 06:53 emshort Assigned To => graham
2014-02-13 14:36 graham Status assigned => resolved
2014-02-13 14:36 graham Resolution open => fixed
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker